%global framework kcmutils

# uncomment to enable bootstrap mode
#global bootstrap 1

%if !0%{?bootstrap}
## currently includes no tests, consider re-enabling when it does
#global tests 1
%endif

Name:           kf5-%{framework}
Version:	5.55.0
Release:	1
Summary:        KDE Frameworks 5 Tier 3 addon with extra API to write KConfigModules

License:        LGPLv2+
URL:            https://cgit.kde.org/%{framework}.git

%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}  kf5-kconfigwidgets-devel >= %{majmin}  kf5-kcoreaddons-devel >= %{majmin}  kf5-kdeclarative-devel >= %{majmin}  kf5-ki18n-devel >= %{majmin}  kf5-kiconthemes-devel >= %{majmin}  kf5-kitemviews-devel >= %{majmin}  kf5-kpackage-devel >= %{majmin}  kf5-kservice-devel >= %{majmin}  kf5-kxmlgui-devel >= %{majmin}  kf5-rpm-macros  qt5-qtbase-devel  qt5-qtdeclarative-devel
%if 0%{?tests}
BuildRequires: dbus-x11 time xorg-x11-server-Xvfb
%endif

%description
KCMUtils provides various classes to work with KCModules. KCModules can be
created with the KConfigWidgets framework.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}       kf5-kconfigwidgets-devel >= %{majmin}       kf5-kservice-devel >= %{majmin}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name

# create/own dirs
mkdir -p %{buildroot}%{_kf5_qtplugindir}/kcms


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
time \
make test ARGS="--output-on-failure --timeout 300" -C %{_target_platform} ||:
%endif


%ldconfig_scriptlets

%files -f %{name}.lang
%doc README.md
%license COPYING.LIB
%{_kf5_libdir}/libKF5KCMUtils.so.*
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_qtplugindir}/kcms/

%files devel
%{_kf5_includedir}/kcmutils_version.h
%{_kf5_includedir}/KCMUtils/
%{_kf5_libdir}/libKF5KCMUtils.so
%{_kf5_libdir}/cmake/KF5KCMUtils/
%{_kf5_archdatadir}/mkspecs/modules/qt_KCMUtils.pri


%changelog
* Mon Aug 17 2020 yeqinglong <yeqinglong@uniontech.com> - 5.55.0-1
- Initial release for OpenEuler

